basement-0.0.16: Foundation scrap box of array & string

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Basement.Compat.PrimTypes

Description

Synopsis

- type FileSize# = Word64#
- type Offset# = Int#
- type CountOf# = Int#
- type Bool# = Int#
- type Pinned# = Bool#

# Documentation

type FileSize# = Word64# #

File size in bytes

type Offset# = Int# #

Offset in a bytearray, string, type alias

for code documentation purpose only, just a simple type alias on Int#

type CountOf# = Int# #

CountOf in bytes type alias

for code documentation purpose only, just a simple type alias on Int#

type Bool# = Int# #

Lowlevel Boolean

type Pinned# = Bool# #

Pinning status